<?php 
require_once("../../conexao.php");
$pagina = 'movimentacoes';
@session_start();
$nivel_usu = $_SESSION['nivel_usuario'];

$total_saldo_geral = 0;
$total_saldo_geralF = 0;

$dataInicial = @$_POST['dataInicial'];
$dataFinal = @$_POST['dataFinal'];


if($dataInicial == ""){
	$dataInicial = date('Y-m-d');
}

if($dataFinal == ""){
	$dataFinal = date('Y-m-d');
}

$query2 = $pdo->query("SELECT * from formas_pgtos order by id asc");
$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
for($i2=0; $i2 < @count($res2); $i2++){

		$id = $res2[$i2]['id'];
		$nome = $res2[$i2]['nome'];	


$query = $pdo->query("SELECT * from $pagina where (data >= '$dataInicial' and data <= '$dataFinal') and lancamento = 'Caixa' and documento = '$nome' and tipo = 'Entrada'");

$res = $query->fetchAll(PDO::FETCH_ASSOC);

if(@count($res)>0){
	$valor_total = 0;
	$nome_item = '';
	for($i=0; $i < @count($res); $i++){
		
		$doc = $res[$i]['documento'];
		$valor = $res[$i]['valor'];
		$valor_total += $valor;
		$nome_item = $doc;
		$valorF = number_format($valor_total, 2, ',', '.');

	}

	echo <<<HTML
	<div style="margin-bottom: 3px; ">
		<small>
			<i class="bi bi-check text-success"></i>
			<b>{$nome_item}</b> / R$ {$valorF}
		</small> 
	</div>
		
HTML;

	}

}

$valor_sangria = 0;
$query = $pdo->query("SELECT * from $pagina where (data >= '$dataInicial' and data <= '$dataFinal') and lancamento = 'Caixa' and movimento = 'Fechamento'");

$res = $query->fetchAll(PDO::FETCH_ASSOC);
if(@count($res)>0){	
	for($i=0; $i < @count($res); $i++){
		$valor_sangria += $res[$i]['valor'];
		$valorF = number_format($valor_sangria, 2, ',', '.');

		}

		echo <<<HTML
	<div style="margin-bottom: 3px; border-top: solid 1px #8c8c8b; padding:10px">
		<small>
			<i class="bi bi-check text-danger"></i>
			<b>Retiradas / Sangrias</b> / <span class="text-danger">R$ {$valorF}</span>
		</small> 
	</div>
		
HTML;

	
}

	?>

	